Intraday supply & demand (15m)
curl --request GET \
--url https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticker": "<string>",
"data[].bu": 123,
"data[].bms": 123,
"data[].bup": 123,
"data[].sd": 123,
"data[].sms": 123,
"data[].sdp": 123,
"data[].bsr": 123,
"data[].t": "<string>",
"data[].s": 123
}API Reference
Intraday supply & demand (15m)
Get intraday supply and demand data in 15-minute intervals.
GET
/
nyx
/
v1
/
intraday
/
{ticker}
/
bsa-ext
Intraday supply & demand (15m)
curl --request GET \
--url https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/nyx/v1/intraday/{ticker}/bsa-ext")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticker": "<string>",
"data[].bu": 123,
"data[].bms": 123,
"data[].bup": 123,
"data[].sd": 123,
"data[].sms": 123,
"data[].sdp": 123,
"data[].bsr": 123,
"data[].t": "<string>",
"data[].s": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Stock symbol, e.g. TCB.
Query Parameters
Time frame in minutes: 15 or 60. Khung thời gian cung cầu trong phiên, tính bằng phút: 15 hoặc 60.
Available options:
15, 60 Time frame in minutes: 15. Khung thời gian cung cầu trong phiên: 15 phút.
Available options:
15 Investor type: sheep (small retail), wolf (medium institutional), shark (large institutional), all (default). Loại nhà đầu tư: sheep = cá nhân nhỏ lẻ, wolf = tổ chức vừa, shark = tổ chức lớn, all = tất cả.
Available options:
sheep, wolf, shark, all Response
200 - application/json
Successful response
Stock symbol.
Buy Up volume.
Buy Up Moving Sum.
Buy Up Percent.
Sell Down volume.
Sell Down Moving Sum.
Sell Down Percent.
Buy/Sell Ratio.
Time (HH:mm:ss).
Time (timestamp).